Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
installare eclipse
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Wed Feb 28, 2007 7:35 pm    Post subject: installare eclipse Reply with quote

Per favore non insultatemi se la soluzione è banale....

Allora. Devo installare Eclipse. L'ultima versione stabile è la 3.2
A me va bene, quindi decido di installarla, ma..... richiede pacchetti mascherati!
A questo punto mi sono fermato perchè mi sembrava una cosa con poco senso che un pacchetto stabile richiedesse dei pacchetti per ~x86...

Allora ho dato:
Code:

tux Incoming # ACCEPT_KEYWORDS="~x86" emerge -av eclipse-sdk

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] dev-java/javatoolkit-0.2.0-r1  20 kB
[ebuild  N    ] virtual/jdk-1.5.0  0 kB
[ebuild  N    ] virtual/jdk-1.4.2  0 kB
[ebuild  N    ] dev-java/ant-core-1.7.0  USE="-doc -source" 6,683 kB
[ebuild  N    ] virtual/jre-1.5.0  0 kB
[ebuild  N    ] dev-java/antlr-2.7.7  USE="python -debug -doc -examples -mono -nocxx -nojava -script -source" 1,774 kB
[ebuild  N    ] dev-java/jakarta-oro-2.0.8-r2  USE="-doc -examples -source" 338 kB
[ebuild  N    ] dev-java/ant-nodeps-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-swing-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-jmf-1.7.0  0 kB
[ebuild  N    ] dev-java/xml-commons-resolver-1.2  USE="-doc -source" 257 kB
[ebuild  N    ] dev-java/gnu-crypto-2.0.1-r2  USE="-doc -source" 3,805 kB
[ebuild  N    ] dev-java/jzlib-1.0.7-r1  USE="-doc -source" 50 kB
[ebuild  N    ] dev-java/jakarta-regexp-1.3-r4  USE="-doc -source" 125 kB
[ebuild  N    ] dev-java/junit-3.8.2  USE="-doc -source" 451 kB
[ebuild  N    ] dev-java/ant-antlr-1.7.0  0 kB
[ebuild  N    ] dev-java/log4j-1.2.14-r1  USE="-doc -javamail -jms -jmx -source" 2,707 kB
[ebuild  N    ] dev-java/jakarta-regexp-1.4-r1  USE="-doc -source" 135 kB
[ebuild  N    ] dev-java/jdepend-2.9-r2  USE="-doc -source" 296 kB
[ebuild  N    ] dev-java/servletapi-2.3-r3  USE="-doc -source" 125 kB
[ebuild  N    ] dev-java/commons-logging-1.1-r2  USE="-avalon-framework -avalon-logkit -doc -log4j -servletapi -source" 170 kB
[ebuild  N    ] dev-java/xml-commons-external-1.3.04  USE="-doc -source" 645 kB
[ebuild  N    ] dev-java/xjavac-20041208-r5  2 kB
[ebuild  N    ] dev-java/javacup-0.10k-r1  USE="-source" 187 kB
[ebuild  N    ] dev-java/lucene-1.4.3-r2  USE="-doc -source -test" 751 kB
[ebuild  N    ] dev-java/commons-net-1.4.1-r1  USE="-doc -examples -source" 224 kB
[ebuild  N    ] dev-java/ant-apache-resolver-1.7.0  0 kB
[ebuild  N    ] dev-java/jsch-0.1.30  USE="-doc -examples -source" 254 kB
[ebuild  N    ] dev-java/bcel-5.1-r3  USE="-doc -source" 12,339 kB
[ebuild  N    ] dev-java/ant-junit-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-apache-oro-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-apache-log4j-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-apache-regexp-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-jdepend-1.7.0  0 kB
[ebuild  N    ] dev-java/bsf-2.3.0-r5  USE="-doc -jython -rhino -source" 1,022 kB
[ebuild  N    ] dev-java/ant-commons-logging-1.7.0  0 kB
[ebuild  N    ] dev-java/xerces-2.8.1  USE="-doc -examples -source" 1,652 kB
[ebuild  N    ] dev-java/ant-commons-net-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-jsch-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-apache-bcel-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-apache-bsf-1.7.0  0 kB
[ebuild  N    ] dev-java/xalan-2.7.0-r3  USE="-doc -source" 6,118 kB
[ebuild  N    ] dev-java/ant-trax-1.7.0  0 kB
[ebuild  N    ] dev-java/ant-tasks-1.7.0  USE="-jai -javamail -noantlr -nobcel -nobsf -nocommonslogging -nocommonsnet -nojdepend -nojmf -nojsch -nolog4j -nooro -noregexp -noresolver -noswing -noxalan" 0 kB
[ebuild  N    ] dev-java/ant-1.7.0  0 kB
[ebuild  N    ] dev-util/eclipse-sdk-3.2.1-r1  USE="cairo gnome opengl -branding -seamonkey" 80,586 kB

Total: 46 packages (46 new), Size of downloads: 120,704 kB


Sono giusti come pacchetti??
Questa è la mia "situazione java"
Code:

tux Incoming # java-check-environment
 * === Java Environment Checker ===
 * The purpose of this script is to check the sanity of your Java Environment.
 * We have significantly changed and improved the way Java is handled in many respects.
 * Please refer to http://www.gentoo.org/proj/en/java/java-upgrade.xml for details

 * Checking vm_environment_files ...                                      [ ok ]

 * Checking user_settings ...
 * Running as root. Don't need to check user settings.                    [ ok ]

 * Checking generation_1_system_vm ...                                    [ ok ]

 * Checking virtual_provides ...                                          [ ok ]

 * Checking overlays_eclasses ...                                         [ ok ]

 * Java environment is sane. Congratulations!
tux Incoming # java-config-1 -L
The following JDKs are available for generation-1:
*)      IBM JDK 1.4.2.7 [ibm-jdk-bin-1.4.2.7]
tux Incoming # java-config-2 -L
The following VMs are available for generation-2:
1)      IBM JDK 1.4.2.7 [ibm-jdk-bin-1.4]
*)      IBM JDK 1.5.0.3 [ibm-jdk-bin-1.5]


Grazie per l'attenzione!
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
Alucard13
Tux's lil' helper
Tux's lil' helper


Joined: 18 Feb 2005
Posts: 87
Location: Pisa

PostPosted: Wed Feb 28, 2007 7:43 pm    Post subject: Reply with quote

no guarda se leggi sulla giuda di gentoo wiki leggerai che proprio le versioni 3.1 e 3.2 di eclipse sono mascherati come potrai leggere da solo

Quote:

Eclipse 3.1.x

This series has previously been masked. If you still face this situation, you can add the following to your /etc/portage/package.keywords:

dev-util/eclipse-sdk ~x86

and then install or update eclipse-sdk

Please do not report bugs upstream until you have verified that they also exist with the binary drops provided by the Eclipse project. Our ebuilds may be faulty, and we would not like to impose any additional burden on the upstream project.
[edit]
Eclipse 3.2.x

Eclipse 3.2 has recently been released and is masked. The instructions to unmask are as for 3.1.x.

One of the dependencies for 3.2 is Java 1.5. If you have problems relating to this (or other java dependencies), information on HOWTO configure java correctly on Gentoo is located here and HOWTO update your java system here

If you are running 3.1.x, Gentoo Java team strongly suggests you to upgrade to Eclipse 3.2.x. Plugins may be safely installed using Eclipse upgrade facility, without the need of any tricks (such as running Eclipse as root).


spero era questo che volevi dire :P
_________________
Un'uomo potra' sempre sentirsi ricco se qualcuno disegnera le sue gesta!!
Back to top
View user's profile Send private message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Wed Feb 28, 2007 7:49 pm    Post subject: Reply with quote

Si e no.

Nel senso che l'ebuild di eclipse 3.2 io ce l'ho stabile su x86.
Quello che non sono stabili sono alcune dipendenze e la mia domanda era se è normale, oppure c'è qualche problema con USE flags, o il mio java environment che mi fan richiedere dipendenze instabili..
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
Alucard13
Tux's lil' helper
Tux's lil' helper


Joined: 18 Feb 2005
Posts: 87
Location: Pisa

PostPosted: Wed Feb 28, 2007 7:54 pm    Post subject: Reply with quote

questo nn lo so ti posso dire che io lo sto emergendo ora e mi richiedevano le sun-sdk 1.4 mentre io avevo installato quelle 1.6 ho dovuto maskerare quelle vecchie per fargli capire che volevo tenermi quelle nuove :P xciò a me le sun-sdk prendeva quelle stabili sicuro
_________________
Un'uomo potra' sempre sentirsi ricco se qualcuno disegnera le sue gesta!!
Back to top
View user's profile Send private message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Wed Feb 28, 2007 8:50 pm    Post subject: Reply with quote

Non so... io uso la ibm-jdk.
Comunque aspetto ancora un attimo a smascherare il mondo.... magari qualcuno mi dice se è un mio problema o no..
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Wed Feb 28, 2007 10:02 pm    Post subject: Reply with quote

makaveli87 wrote:
Non so... io uso la ibm-jdk.
Comunque aspetto ancora un attimo a smascherare il mondo.... magari qualcuno mi dice se è un mio problema o no..


perchè installare eclipse quando si può semplicemente scaricare dal sito del produttore scompattarlo in una directory ed usarlo senza problemi ???'

ciauz
Back to top
View user's profile Send private message
skypjack
l33t
l33t


Joined: 05 Aug 2006
Posts: 884
Location: Italia - Firenze

PostPosted: Wed Feb 28, 2007 10:15 pm    Post subject: Reply with quote

Fra l'altro, consiglio la proposta del post di cui sopra, per esperienza con l'ebuild di Eclipse ho avuto diversi problemi e tempi di compilazione spesso inaccettabili (fra l'altro, ripetuti perchè, appunto, interrotti da errori mistici). Questo succedeva qualche versione fa, non so se è miglirato, ma vi assicuro che col precompilato da eclipse.org non ho avuto il minimo problema...
Buona programmazione a tutti!!
Back to top
View user's profile Send private message
Kernel78
Moderator
Moderator


Joined: 24 Jun 2005
Posts: 3652

PostPosted: Wed Feb 28, 2007 10:24 pm    Post subject: Re: installare eclipse Reply with quote

makaveli87 wrote:

Code:

tux Incoming # ACCEPT_KEYWORDS="~x86" emerge -av eclipse-sdk


MAI MAI MAI dare un comando simile !!!
Io lo sconsiglio anche se fosse solo per dare un'occhiata alle dipendenze.

Spiegazione:
usato in quel modo ACCEPT_KEYWORDS farebbe installare tutte le ultime versioni ~ . Poniamo caso che di alcune dipendenze del pacchetto esistano versioni stabili e diverse versioni ~ magari anche con bug aperti su bugzilla, installando in questo modo noi daremmo via libera sul nostro sistema a tutti quei pacchetti che barbaramente devasteranno il nostro ordinato sistema. Inoltre capita che nuove versioni abbiano ulteriori dipendenze, in questo caso ti ritroveresti addirittura a ricompilare più pacchetti di quanti ti servano effettivamente (e normalmente questi pacchetti in più sono ~ con tutte le rogne che può comportare).

Personalmente mi limito a smascherare volta per volta solo la versione più bassa contenente le funzionalità che mi interessano per minimizzare ogni rischio.
_________________
Le tre grandi virtù di un programmatore: pigrizia, impazienza e arroganza. (Larry Wall).
Prima di postare un file togli i commenti con
Code:
grep -vE '(^[[:space:]]*($|(#|!|;|//)))'
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Wed Feb 28, 2007 10:48 pm    Post subject: Reply with quote

quoto Kernel78, in proposito ti invito ad emergere dal layman overlay dei gechi quell'ottimo tool che è forcekeymask.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Thu Mar 01, 2007 10:49 am    Post subject: Re: installare eclipse Reply with quote

Kernel78 wrote:
makaveli87 wrote:

Code:

tux Incoming # ACCEPT_KEYWORDS="~x86" emerge -av eclipse-sdk


MAI MAI MAI dare un comando simile !!!
Io lo sconsiglio anche se fosse solo per dare un'occhiata alle dipendenze.

Spiegazione:
usato in quel modo ACCEPT_KEYWORDS farebbe installare tutte le ultime versioni ~ . Poniamo caso che di alcune dipendenze del pacchetto esistano versioni stabili e diverse versioni ~ magari anche con bug aperti su bugzilla, installando in questo modo noi daremmo via libera sul nostro sistema a tutti quei pacchetti che barbaramente devasteranno il nostro ordinato sistema. Inoltre capita che nuove versioni abbiano ulteriori dipendenze, in questo caso ti ritroveresti addirittura a ricompilare più pacchetti di quanti ti servano effettivamente (e normalmente questi pacchetti in più sono ~ con tutte le rogne che può comportare).

Personalmente mi limito a smascherare volta per volta solo la versione più bassa contenente le funzionalità che mi interessano per minimizzare ogni rischio.


Ma la mia era solo l'intenzione di vedere più o meno cosa chiedeva... non lo avrei fatto per installarlo... avrei aggiunto a mano le dipendenze una alla volta..

Comunque non volevo installarlo tramite il precompilato perchè preferivo far tutto tramite portage...
Se però non ci sono soluzioni scaricherò il pacchetto....
Cosa dite?


EDIT:
Cos'è ant? Non è una versione di java tipo sun-sdk o ibm-sdk, vero?
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Thu Mar 01, 2007 11:05 am    Post subject: Re: installare eclipse Reply with quote

makaveli87 wrote:

Ma la mia era solo l'intenzione di vedere più o meno cosa chiedeva... non lo avrei fatto per installarlo... avrei aggiunto a mano le dipendenze una alla volta..

Comunque non volevo installarlo tramite il precompilato perchè preferivo far tutto tramite portage...
Se però non ci sono soluzioni scaricherò il pacchetto....
Cosa dite?

soluzione a cosa??? il precompilato non va installato ma solo scompattato e poi puoi cliccare direttamente sull'icona di eclipse.
Quote:

EDIT:
Cos'è ant? Non è una versione di java tipo sun-sdk o ibm-sdk, vero?

detto molto alla buona è:
Code:
Ant è un tool che permette la configurazione, il build ed il deployment di progetti Java Complessi.


ciauz
Back to top
View user's profile Send private message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Thu Mar 01, 2007 11:23 am    Post subject: Re: installare eclipse Reply with quote

crisandbea wrote:

soluzione a cosa??? il precompilato non va installato ma solo scompattato e poi puoi cliccare direttamente sull'icona di eclipse.


Intendevo se mi consigliate di installare il precompilato o smascherare i pacchetti e far fare a portage.
Su un'altra discussione su eclipse dicevano di installarlo con portage....
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Thu Mar 01, 2007 11:28 am    Post subject: Re: installare eclipse Reply with quote

makaveli87 wrote:
crisandbea wrote:

soluzione a cosa??? il precompilato non va installato ma solo scompattato e poi puoi cliccare direttamente sull'icona di eclipse.


Intendevo se mi consigliate di installare il precompilato o smascherare i pacchetti e far fare a portage.
Su un'altra discussione su eclipse dicevano di installarlo con portage....


non sò se lo fai a posta o meno...cmq , ti abbiamo consigliato in quanto non sono stato solo io a dirlo, di scaricarti dal sito eclipse.org il precompilato, ed usare quello.

poi a te la scelta, se vuoi farlo da portage, ed attendere ore ed ore prima che eclipse venga installato, e magari con qualche problema...,

ciauz
Back to top
View user's profile Send private message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Thu Mar 01, 2007 11:32 am    Post subject: Reply with quote

Ok, ok....

Scarico il precompilato.....
Grazie a tutti.
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
makaveli87
Guru
Guru


Joined: 22 Aug 2005
Posts: 311
Location: Italy

PostPosted: Thu Mar 01, 2007 12:07 pm    Post subject: Reply with quote

ehm....
scusate l'ignoranza....
Una volta scompattato come faccio a fare in modo che possa essere avviato da.. ovunque?
E gnome lo aggiunge automaticamente nei menu o devo farlo io? :oops: :oops:
_________________
GoogleTalk: romanovic@gmail.com
Back to top
View user's profile Send private message
randomaze
Bodhisattva
Bodhisattva


Joined: 21 Oct 2003
Posts: 9985

PostPosted: Thu Mar 01, 2007 1:32 pm    Post subject: Re: installare eclipse Reply with quote

makaveli87 wrote:
Su un'altra discussione su eclipse dicevano di installarlo con portage....


Questione di scuole di pensiero, a seconda della discussione che trovi puoi trovare i seguenti consigli:

  • Installarlo con portage (lasciandogli risolvere le dipendenze e via dicendo)
  • Installarlo partendo dal precompilato (e qui sta a te verificare di cosa abbisogna e installarlo). Ricorda di stare attento ai vari path di installazione prima di ravanare con i files installati da gentoo
  • Disinstallarlo e cambiare IDE

_________________
Ciao da me!
Back to top
View user's profile Send private message
Sparker
l33t
l33t


Joined: 28 Aug 2003
Posts: 992

PostPosted: Thu Mar 01, 2007 4:28 pm    Post subject: Reply with quote

Alucard13 wrote:
questo nn lo so ti posso dire che io lo sto emergendo ora e mi richiedevano le sun-sdk 1.4 mentre io avevo installato quelle 1.6 ho dovuto maskerare quelle vecchie per fargli capire che volevo tenermi quelle nuove :P xciò a me le sun-sdk prendeva quelle stabili sicuro

E' OT, ma hai sbagliato. Le varie versioni del JDK sono slotted, quindi avresti avuto nel sistema sia la 1.4 che la 1.6. Questo perché alcuni pacchetti non compilano con JDK con versione >= 1.5 ma solo con la 1.4.
Back to top
View user's profile Send private message
Alucard13
Tux's lil' helper
Tux's lil' helper


Joined: 18 Feb 2005
Posts: 87
Location: Pisa

PostPosted: Thu Mar 01, 2007 6:31 pm    Post subject: Reply with quote

xciò le smaschero e le installo?? ma dando emerge -av eclipse a me dava il pacchetto sun-jdk Fetch o qualcosa del genere...
_________________
Un'uomo potra' sempre sentirsi ricco se qualcuno disegnera le sue gesta!!
Back to top
View user's profile Send private message
lopio
Veteran
Veteran


Joined: 22 Dec 2003
Posts: 1161
Location: savona, Italy

PostPosted: Sun Mar 04, 2007 6:01 pm    Post subject: Reply with quote

ciao anche io mi unisco al coro di chi consiglia di vitare portage per emergere eclipse ma scaricarlo dal sito direttamente
Un consiglio a makaveli87 e Alucard13: se non avete mai installato eclipse prima d'ora date un occhiata al progetto easyeclipse [url] http://www.easyeclipse.org/site/home/ [/url]
E' un progetto che prende eclipse (adesso 3.2) e lo impacchetta con i plugin piu' validi, stabili e interessanti eliminando inutili duplicati.
Da questo lavoro vengono infatti fuori 5 versioni di eclipse (Desktop,Server,Expert,Mobile, Plugin Warriors ) per cui uno puo' scegliere quella adatta al suo scopo e si ritrovera' un eclipse con i plugin piu' utili per il tipo di sviluppo scelto senza doverli scaricare ulteriormente dalla rete e senza incorrere in problemi di dipendenze e stabilita'.

ciao
Back to top
View user's profile Send private message
Sparker
l33t
l33t


Joined: 28 Aug 2003
Posts: 992

PostPosted: Mon Mar 05, 2007 12:39 pm    Post subject: Reply with quote

Alucard13 wrote:
xciò le smaschero e le installo?? ma dando emerge -av eclipse a me dava il pacchetto sun-jdk Fetch o qualcosa del genere...

fetch perché a causa della licenza della SUN devi scaricare la JDK a mano. Emerge si ferma dando l'uri dove reperirla.
Back to top
View user's profile Send private message
lorebett
Tux's lil' helper
Tux's lil' helper


Joined: 08 Oct 2004
Posts: 106
Location: Firenze, Italy

PostPosted: Wed Mar 14, 2007 8:01 am    Post subject: Reply with quote

crisandbea wrote:

perchè installare eclipse quando si può semplicemente scaricare dal sito del produttore scompattarlo in una directory ed usarlo senza problemi ???'


Tra l'altro, curiosita', usando la versione di portage di eclipse, e' poi possibile usare tranquillamente l'update manager per aggiornarlo?

Anch'io ho sempre usato la versione del sito di eclipse senza problemi.
_________________
HOME: http://www.lorenzobettini.it
BLOG: http://tronprog.blogspot.com
MUSIC: http://www.purplesucker.com
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum